/*!
 * Copyright (c) 2021, 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Eric Poirier <eric.poirier@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

@import (reference) '../styles.less';

@jumbotron-gutter-size: 25%;

.header-home-bg-img .featured-jumbotron {
  .parallax;
  background-image: url('../images/jumbotron/home.jpg');
  background-size: cover;
  background-position: 50%;
}

.header-anniversary-bg-img  {
  min-height: 600px;
  background-position: 65%;
}

.featured-jumbotron {
  padding-top: 4.5rem;
  padding-bottom: 0;
}

.featured-jumbotron h1:after {
  border-color: #2c2255;
  margin: 45px auto 0;
}

.featured-jumbotron .featured-story-jumbotron {
  margin-bottom: unset;
}

.featured-jumbotron .featured-jumbotron-end-custom {
    display: flex;
    flex-direction: column;

    .custom-jumbotron-end-lead-text {
        max-width: 100%;
        text-align: center;
        padding: 2.5rem 0;
        font-size: 1.6rem;
    }

    .custom-jumbotron-end-link-group {
        width: 100%;
    }

    .custom-jumbotron-end-link-group {
        width: calc(100% + 30px);
        margin-left: -15px;
        margin-right: -15px;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        & > a {
            width: 100%;
            padding: 2rem;
            text-align: center;
            font-weight: 300;
            font-size: 1.6rem;
            cursor: pointer;
            &,
            &:hover,
            &:visited,
            &:active {
                color: @black;
            }
        }

        a:first-child {
            background-color: darken(@white, 5%);
        }

        a:nth-child(2) {
            background-color: darken(@white, 20%);
        }

        a:nth-child(3) {
            background-color: darken(@white, 30%);
        }

        a:first-child:hover {
            background-color: darken(@white, 7.5%);
        }

        a:nth-child(2):hover {
            background-color: darken(@white, 22.5%);
        }

        a:nth-child(3):hover {
            background-color: darken(@white, 32.5%);
        }
    }

    .link-overlay {
        display: none;
    }

    @media (min-width: @screen-md-min) {
        margin-top: 1rem;
        flex-direction: row;

        .custom-jumbotron-end-link-group {
            flex-direction: row;
            align-items: stretch;
            width: calc(100% - @jumbotron-gutter-size);
            margin: unset;

            a {
                position: relative;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                padding: 0;
                font-size: @font-size-xl;

                &:hover,
                &:active,
                &:focus {
                    .link-overlay {
                        position: absolute;
                        top: 0;
                        display: inline-flex;
                        align-items: center;
                        justify-content: center;
                        width: 100%;
                        min-height: 100%;
                        padding: 2rem;
                        color: @white;
                        background-color: @black;
                        animation-name: custom-jumbotron-end-link-overlay-animation;
                        animation-duration: 0.2s;
                        animation-timing-function: linear;

                        &:hover {
                            min-height: 150%;
                        }
                    }
                }

                &:focus .link-overlay {
                    min-height: 150%;
                }
            }
        }

        .custom-jumbotron-end-lead-text {
            max-width: @jumbotron-gutter-size;
            padding: 1rem;
            padding-left: 0;
            font-size: @font-size-xl;
            font-weight: 300;
            text-align: right;
        }
    }
}

@keyframes custom-jumbotron-end-link-overlay-animation {
    from {
        min-height: 100%;
        color: @black;
    }

    to {
        min-height: 150%;
        color: @white;
    }
}

.featured-jumbotron {
    @media (min-width: @screen-md-min) {
        .featured-jumbotron-end {
            margin-top: 6rem;
        }

        .featured-story-jumbotron {

            margin-left: auto;
            margin-right: unset;
        }
    }
}

.featured-jumbotron-anniversary {
  position: relative;
}

.featured-jumbotron-anniversary h1 {
  margin-bottom: 0;
}

@media (min-width: 992px) {
  .featured-jumbotron-anniversary h1 {
      margin-bottom: 45px;
  }
}

@media (max-width: 1199px) {
  .jumbotron p {
      text-shadow: 0px 0px 12px #000;
  }
  #body_solstice .header-anniversary-bg-img  {
      background-position: left;
  }
}

@media (max-width: 768px) {
  #body_solstice .header-anniversary-bg-img  {
      background-position: 20%;
  }
}

@media (min-width: @screen-sm-min) {
  .featured-jumbotron .featured-story-jumbotron{
    width: auto;
  }
}

.featured-jumbotron h1:after {
  border-color: #f7941e;
}

.eclipsefdn-featured-project-committer {
  h3,
  .h3 {
    white-space: nowrap;
    text-align: center;

    @media (min-width: @screen-lg-min) {
      text-align: unset;
    }
  }
}

.featured-card {
  max-width: 24rem;
  margin: auto;

  .featured-card-img-wrapper {
    width: 100%;
    aspect-ratio: 1;
  }

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .featured-card-details-item {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    padding: 1.5rem;
    background-color: @white;
    text-align: center;

    &-highlighted {
      height: 7rem; 
      background-color: @brand-primary;
      text-overflow: ellipsis;
    }
  }

    a.featured-card-details-item {
        color: @black;
        font-weight: bold;

        &:hover,
        &:active {
            color: @black;
            text-decoration: none;
            background-color: darken(@white, 5%);
            cursor: pointer;
        }
    }

    @media (min-width: @screen-lg-min) {
      margin: unset;
      max-width: unset;
    }
}

.featured-card { 
  &-project {
    .featured-card-img-wrapper {
      padding: 4rem;
      background-color: #ccc7c2;
    }

    img {
      object-fit: contain;
    }
  }

  &-newsletter img {
    object-fit: cover;
    object-position: 30% 50%;
  }
}

// Dark sections
.featured-section-row-dark-bg {
    @media (min-width: @screen-lg-min) {
        background-image: url('../images/homepage/homepage-mid-banner.png');
        background-repeat: no-repeat;
        background-position-x: right;
    }

    @media (min-width: 1920px) {
      background-position: unset;
    }
}

// Stats
.stats-row {
    margin-top: 10rem;
}

.stats-row-circles {
    display: flex;
    gap: 6rem;

    .circle {
        width: 2.4rem;
        height: 2.4rem;
        background-color: @brand-primary-light;
    }
}

.stats {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 6rem;
    text-align: center;

    &-item {
        flex-basis: 40%; // @todo: Try to make this work with 50%
    }

    &-item-stat {
        display: block;
        font-size: 4rem;
    }

    &-item-subject {
        display: block;
        color: @brand-primary-light;
        font-size: 1.6rem;
        font-weight: 500;
    }
}

@media (min-width: @screen-sm-min) {
    .stats {
        justify-content: flex-start;
        text-align: left;

        &-item {
            flex-basis: unset;
        }
    }
}

// Move to solstice-assets
.featured-story-jumbotron .featured-story-jumbotron-content-body {
    font-weight: 500;
    font-size:16px;
}
